﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Microsoft.Office.Core;//тут містяться оголошення службових структур офісу
using word = Microsoft.Office.Interop.Word;//підключення функцій контролю над вордом
 

namespace lr3
{
    public partial class Form9 : Form
    {
        public Form9(string boss="",string personal="",string pos="",
        string expl="",string phone="",string org="")
        {   

            //  Параметри конструктора
            //boss - імя директора
            //personal - імя співробітника
            //pos - назва посади
            //expl - причина звільнення
            //phone - телефон
            //org - назва організації
            InitializeComponent(); //Ініціалізація компонент форми
            textBox1.Text = boss; //Заповнення директора
            textBox2.Text = personal; //Заповнення співробітника
            textBox3.Text = pos; //Заповнення посади
            textBox4.Text = phone; //Заповнення телефону
            textBox5.Text = org; //Заповнення назви організації
            richTextBox1.Text = expl; //Заповнення причини звільнення
        }

        private void Form9_Load(object sender, EventArgs e)
        { 
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Hide(); //ховаємо форму
        }

        private void button2_Click(object sender, EventArgs e)
        {
             word.Application wa = new word.Application();//створюємо звязок з вордом
            wa.Visible = true;//показуємо ворд на екрані
            wa.Documents.Add();//створюємо новий документ
            wa.Selection.Font.Size = 12;//встановлюємо розмір шришту 12
            wa.Selection.Font.Name = "Times New Roman";//задаємо назву шрифту
            wa.Selection.Paragraphs.Alignment = word.WdParagraphAlignment.wdAlignParagraphRight;//вирівнювання по правому краю
            wa.Selection.TypeText("Директору "+textBox5.Text);//переносимо назву організації
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.TypeText(textBox1.Text);//виводимо імя директора
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.TypeText("від "+textBox3.Text);//виводимо посаду
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.TypeText(textBox2.Text);//виводимо імя працівника
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.TypeText("тел.: "+textBox4.Text);//виводимо телефон
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.Font.Size = 24;//змінюємо розмір шрифта
            wa.Selection.Font.Bold = 1;//жирний нарис шрифта
            wa.Selection.Paragraphs.Alignment = word.WdParagraphAlignment.wdAlignParagraphCenter;//вирівнювання по центру
            wa.Selection.TypeText("Заява");
            wa.Selection.Font.Bold = 0;//вимикаємо жирний нарис
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.Font.Size = 14;//задаємо розмір шрифту 14
            wa.Selection.Paragraphs.Alignment = word.WdParagraphAlignment.wdAlignParagraphJustify;//вирівнування тексту по ширині
            wa.Selection.Paragraphs.FirstLineIndent = 40;//Створення абзацу на 40 одиниць
            wa.Selection.TypeText("Прошу звільнити мене "+richTextBox1.Text+" з "+dateTimePicker1.Value.ToShortDateString()+".");
            //заповнюємо тіло заяви
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.TypeParagraph();//переходимо на новий рядок
            wa.Selection.Paragraphs.Alignment = word.WdParagraphAlignment.wdAlignParagraphLeft;
            //вирівнювання тексту по лівому краю
            wa.Selection.TypeText(DateTime.Now.ToShortDateString());//ставимо на заяві дату
            button1_Click(this,new EventArgs());//натискаемо на кнопку відміни, для закриття форми
        }
    }
}
