﻿# Host: localhost  (Version 5.7.17-log)
# Date: 2017-05-14 10:27:23
# Generator: MySQL-Front 6.0  (Build 1.60)


#
# Structure for table "client"
#

CREATE TABLE `client` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(32) NOT NULL DEFAULT '' COMMENT 'ПІБ клієнта',
  `data` date NOT NULL DEFAULT '0000-00-00' COMMENT 'Дата',
  `phone` varchar(13) NOT NULL DEFAULT '0' COMMENT 'Номер телефону',
  `address` varchar(32) DEFAULT NULL COMMENT 'Адреса',
  `Email` varchar(32) DEFAULT NULL COMMENT 'Електронна пошта',
  `EDRPOU` varchar(10) DEFAULT NULL COMMENT 'ЄДРПОУ',
  `IPN` varchar(11) NOT NULL DEFAULT '' COMMENT 'ІПН',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Таблиця для обліку клієнтів';

#
# Data for table "client"
#

INSERT INTO `client` VALUES (2,'Шуляк Анастасія Володимирівна','1975-08-15','0964582103','м.Рівне вул. Соборна 56','shyliak@44ukr.net',NULL,'21346543215'),(3,'Мельник Роман Юрійович','1988-05-12','0935642155','м.Рівне вул. Кн.Ольги 2','melnykrom@ukr.net',NULL,'25606060665'),(4,'Ткачук Ігор Васильович','1986-01-20','0505568422','м.Рівне вул. Костромська 7а','tkachykigor@ukr.net',NULL,'50650685646'),(5,'Савчук Наталія Петрівна','1995-10-25','0975432123','м.Рівне вул. В.Гетьмана 17','savchyk514@ukr.net','0656546466','64656896566'),(6,'Поліщук Каріна Ігорівна','1970-12-29','0502305646','м.Рівне вул. Кн.Ольги 6','polishchukkarin@ukr.net',NULL,'05046546688'),(7,'Федоренко Андрій Сергійович','1983-04-17','0932649645','м.Рівне вул. Замкова 3','fedorenkoAndr@ukr.net',NULL,'24805652489'),(8,'Швець Петро Миколайович','1975-01-04','0505464654','м.Рівне вул. Віденська 10','shvecPetro@ukr.net',NULL,'05485401654'),(9,'Гончар Ірина Анатолієвна','1965-11-03','0952654698','м.Рівне вул. Соборна 112','honchar@ukr.net','2416541048','41568718877'),(10,'Жук Віталій Ярославович','1989-08-18','0962416541','м.Рівне вул. Котляревського 12','vitaliyjaroslav1325@ukr.net','4579879996','74875870879');

#
# Structure for table "materialy"
#

CREATE TABLE `materialy` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `material` varchar(255) DEFAULT NULL COMMENT 'Назва матеріалів',
  `id_poslugy` int(11) DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;

#
# Data for table "materialy"
#

INSERT INTO `materialy` VALUES (1,'Оптична панель CSV 1U-24 FULL',1),(2,'Патчпанель VAGOS ODF 2U',2),(3,'Axxcelera - AB-MAX',2),(4,'Ubiquiti Rocket M5',3),(5,'Комутатор D-Link DES-1005C',1),(6,'Комутатор D-Link DES-3200-28',5),(7,'Маршрутизатор D-Link DIR-300S',6),(8,'Маршрутизатор D-Link DIR-457',8),(9,'Маршрутизатор D-Link DIR-615/A',4),(10,'Маршрутизатор TP-LINK Archer C20',2),(11,'Маршрутизатор TP-LINK TL-WR740N',9),(12,'Кабель каналізаційний ОКТБг-М(1,5)П-8Е1',1),(13,'Каналізаційний кабель ОКТБг-М(1,5)П-4х12Е1',2),(14,'Оптичний діалектричний кабель ОКТ-Д(1,0)П-4Е1',3),(15,'Оптичний діелектричний кабель ОКТ-Д(0,5)П-1Е1',5),(16,'Підвішувальний розподільчий кабель ОКВрт',8),(17,'Оптичний кабель ОАрБгП, ОАрБгПн, ОАрБгП-С, ОАрБгПн-С',6),(18,'Оптичний кабель ОСпП, ОСпПн',5),(19,'Патч-корд Digitus Professional CAT5e UTP AWG 26/7 10м (DK-1511-100)',11),(20,'Патчкорд Intellinet CAT5e UTP 10 м',12),(21,'5',7);

#
# Structure for table "personal"
#

CREATE TABLE `personal` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(32) NOT NULL DEFAULT '' COMMENT 'ПІБ Співробітника',
  `phone` varchar(13) DEFAULT '' COMMENT 'Телефон',
  `data` date NOT NULL DEFAULT '0000-00-00' COMMENT 'Дата приходу на роботу',
  `id_viddilu` int(5) DEFAULT '0' COMMENT 'Відділ де працює',
  `address` varchar(32) DEFAULT NULL COMMENT 'Адреса',
  `Email` varchar(32) DEFAULT NULL COMMENT 'Електронна пошта',
  `EDRPOU` varchar(10) DEFAULT NULL COMMENT 'ЄДРПОУ',
  `IPN` varchar(11) NOT NULL DEFAULT '' COMMENT 'ІПН',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Таблиця для обліку персоналу';

#
# Data for table "personal"
#

INSERT INTO `personal` VALUES (1,'Гірник Борис Ярославович','0957894563','1965-10-16',2,'м.Рівне вул. Київська 10','girnykborys@ukr.net','2354645635','12594845897'),(2,'Остапчук Дмитро Олексійович','0965421689','1985-01-05',0,',`Email`=\',`EDRPOU`=\',`IPN`=','ostapchyk5113@ukr.net',NULL,'16546543852'),(3,'Демиденко Марія Олександрівна','0967851213','1990-06-15',0,',`Email`=\',`EDRPOU`=\',`IPN`=','demydmarta@ukr.net',NULL,'65236778330'),(4,'Приндюк Андрій Андрійович','0931567898','1991-03-17',3,'м.Рівне вул. Віденська 40','prynduk4643@ukr.net',NULL,'05850578328'),(5,'Смоляк Петро Васильович','0974875612','1987-07-05',1,'м.Рівне вул. Дворецька','smoll1987@ukr.net',NULL,'68068892696'),(6,'Петренко Сергій Іванович','0951234578','1982-05-12',4,'м.Рівне вул. Київська 15','petrenko5333@ukr.net','','48543034646'),(7,'Іванов Петро Юрійович','0965478962','1970-12-12',5,'м.Рівне вул.Соборна БОС 219','ivanovpetr2@ukr.net',NULL,'47521200685'),(8,'Кириленко Інна Данилівна','0502134562','1965-03-10',3,'с. Дядьковичі','kyrylenkoinna@ukr.net',NULL,'26506859364'),(9,'Бойко Тетяна Дмитрівна','0964564633','1989-04-16',2,'м.Рівне вул. Віденська 10','boykotyana@ukr.net',NULL,'21987256465'),(10,'Мазур Світлана Іванівна','0931856265','1995-11-20',1,'','','','12536589564');

#
# Structure for table "poslugy"
#

CREATE TABLE `poslugy` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(50) DEFAULT NULL COMMENT 'Назва послуги',
  `price` double(10,2) DEFAULT NULL COMMENT 'Ціна',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

#
# Data for table "poslugy"
#

INSERT INTO `poslugy` VALUES (1,'Інтернет 10 Мбіт/с',160.00),(2,'Під’єднання через радіо-канал ',340.00),(3,'Хостинг сайтів в Україні',120.00),(4,'Інтернет 100Мбіт/с',300.00),(5,'Кросування, патчкорд Абонента, 1шт.',150.00),(6,'Кросування, патчкорд УАРНЕТ\'у, 1шт.',420.00),(7,'Обслуговування \"пакет до 10 патчкордів\"',600.00),(8,'Обслуговування \"пакет до 50 патчкордів\"',1500.00),(9,'Обслуговування \"пакет до 100 патчкордів\"',2400.00),(10,'Надання доступу до мережі Інтернет по ВОЛЗ',420.00),(11,'Оренда стійки висотою 1U (43,7мм)',480.00),(12,'Під’єднання через виділену лінію або ADSL',170.00);

#
# Structure for table "providers"
#

CREATE TABLE `providers` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(32) DEFAULT NULL COMMENT 'ПІБ постачальника',
  `phone` varchar(13) DEFAULT NULL COMMENT 'Телефон',
  `address` varchar(32) DEFAULT NULL COMMENT 'Адреса',
  `Email` varchar(32) DEFAULT NULL COMMENT 'Електронна пошта',
  `EDRPOU` varchar(10) DEFAULT NULL COMMENT 'ЕДРПОУ',
  `IPN` varchar(11) NOT NULL DEFAULT '' COMMENT 'ІПН',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

#
# Data for table "providers"
#

INSERT INTO `providers` VALUES (1,'ПАТ \"ОдесКабель\"','0487161223','вулиця Персенківка, 19, Львів,','\tmarket@odeskabel.com','3204654645','63464215988'),(2,'Компанія \"AgSat\"','0663546878','м.Київ пр.Степана Бандери, 10б','agsat@agsat.com.ua.','1606464886','23450408604'),(3,'Компанія \"РОМСАТ\"','0502416574','м.Київ пр.Степана Бандери, 10б','roms@gmail.com','6784564545','65725645353');

#
# Structure for table "punkty_postach"
#

CREATE TABLE `punkty_postach` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `id_zaholovky_postach` int(11) NOT NULL DEFAULT '0' COMMENT 'Ідентифікатор заголовків постачань',
  `id_materialy` int(11) NOT NULL DEFAULT '0' COMMENT 'Ідентифікатор матеріалів',
  `price` double DEFAULT NULL COMMENT 'Ціна',
  `kilkist` int(11) DEFAULT NULL COMMENT 'Кількість',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

#
# Data for table "punkty_postach"
#

INSERT INTO `punkty_postach` VALUES (5,1,5,100,4),(7,3,3,500,13),(10,5,2,100,2),(12,5,4,300,1);

#
# Structure for table "punkty_zamovlen"
#

CREATE TABLE `punkty_zamovlen` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `id_zaholovky_zamovlen` int(11) NOT NULL DEFAULT '0' COMMENT 'Ідентифікатор заголовків замовлень',
  `id_materialy` int(11) DEFAULT NULL COMMENT 'Ідентифікатор постачань',
  `price` double DEFAULT NULL COMMENT 'Ціна',
  `kilkist` double DEFAULT NULL COMMENT 'Кількість',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

#
# Data for table "punkty_zamovlen"
#

INSERT INTO `punkty_zamovlen` VALUES (1,1,1,50,3),(2,2,4,230,1);

#
# Structure for table "sklad"
#

CREATE TABLE `sklad` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `id_materialy` int(11) NOT NULL DEFAULT '0' COMMENT 'Ідентифікатор матеріалу',
  `kilkist` int(11) DEFAULT NULL COMMENT 'Кількість',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

#
# Data for table "sklad"
#

INSERT INTO `sklad` VALUES (1,2,0),(2,4,21),(3,1,49),(4,3,2),(5,5,0),(6,9,40),(7,16,80),(8,13,36);

#
# Structure for table "viddilu"
#

CREATE TABLE `viddilu` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `viddil` varchar(32) NOT NULL DEFAULT '' COMMENT 'назва відділу',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COMMENT='таблиця наявних відділів';

#
# Data for table "viddilu"
#

INSERT INTO `viddilu` VALUES (1,'Адміністрація'),(2,'Бухгалтерія'),(3,'Менеджмент'),(4,'Технічний відділ'),(5,'Відділ обліку та паспортизації'),(6,'Монтажний відділ'),(7,'Абонвідділ'),(8,'Зварювальний відділ'),(9,'Монтажний відділ');

#
# Structure for table "zaholovky_postach"
#

CREATE TABLE `zaholovky_postach` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `id_provider` int(11) NOT NULL DEFAULT '0' COMMENT 'Ідентифікатор постачальника',
  `id_personal` int(11) NOT NULL DEFAULT '0' COMMENT 'ідентифікатор співробітника',
  `data` datetime DEFAULT NULL COMMENT 'Дата',
  `summ` double(7,2) DEFAULT NULL COMMENT 'Сума',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='таблиця обліку виданих книг';

#
# Data for table "zaholovky_postach"
#

INSERT INTO `zaholovky_postach` VALUES (1,3,4,'2017-05-13 00:00:00',400.00),(3,2,4,'2017-05-13 00:00:00',500.00),(5,1,5,'2017-05-15 00:00:00',120.00);

#
# Structure for table "zaholovky_zamovlen"
#

CREATE TABLE `zaholovky_zamovlen` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `id_poslugy` int(11) DEFAULT NULL COMMENT 'Ідентифікатор послуги',
  `id_client` int(11) NOT NULL DEFAULT '0' COMMENT 'Ідентифікатор клієнта',
  `id_personal` int(11) NOT NULL DEFAULT '0' COMMENT 'Ідентифікатор співробітника',
  `summ` double(7,2) DEFAULT NULL COMMENT 'Сума',
  `data` date NOT NULL DEFAULT '0000-00-00' COMMENT 'Дата',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

#
# Data for table "zaholovky_zamovlen"
#

INSERT INTO `zaholovky_zamovlen` VALUES (1,4,7,6,250.00,'2017-01-01'),(2,1,6,6,250.00,'2017-01-01');
